'use strict';

/** [js-test](https://github.com/direct-adv-interfaces/direct-dev/TECHS.md#js-test) */

var require2 = require('../utils/require2');
var vow = require2('enb/node_modules/vow', 'vow');
var vowFs = require2('enb/node_modules/vow-fs', 'vow-fs');
var BlockFilter = require('../utils/block-filter');

module.exports = require('enb/lib/build-flow').create().name('js-test').target('target', '?.test.js').defineOption('filter').useFileList('test.js').builder(function (paths) {
    var _this = this;

    var filter = this.getOption('filter', BlockFilter.empty);

    return vow.all(paths.filter(filter.enb).map(function (file) {
        var filename = _this.node.relativePath(file.fullname);

        return vowFs.read(file.fullname, 'utf8').then(function (content) {
            return '/* begin: ' + filename + ' */\n' + content + ';\n/* end: ' + filename + ' */';
        });
    })).then(function (files) {
        return files.join('\n');
    });
}).createTech();